Bug 834205 - 3.1 [vdsm][bridgeless] BOOTPROTO/IPADDR/NETMASK options are not set on interface
3.1 [vdsm][bridgeless] BOOTPROTO/IPADDR/NETMASK options are not set on interface
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
Unspecified Linux
high Severity urgent
: beta
: ---
Assigned To: Igor Lvovsky
Meni Yakove
network
:
Depends On: 834281
Blocks: 833643
  Show dependency treegraph
 
Reported: 2012-06-21 04:35 EDT by Mike Kolesnik
Modified: 2012-12-04 14:00 EST (History)
13 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-25.0
Doc Type: Bug Fix
Doc Text:
Previously, when the addNetwork command was sent in VDSM and bridged=false, then BOOTPROTO, IPADDR, and NETMASK were not set on the ifcfg file representing the network being added. Now, addNetwork properly sets these options.
Story Points: ---
Clone Of:
: 834281 (view as bug list)
Environment:
Fedora 17
Last Closed: 2012-12-04 14:00:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (20.12 KB, text/plain)
2012-06-22 17:50 EDT, Trey Dockendorf
no flags Details
engine.log (17.11 KB, text/plain)
2012-06-22 17:53 EDT, Trey Dockendorf
no flags Details

  None (edit)
Description Mike Kolesnik 2012-06-21 04:35:51 EDT
Description of problem:
On addNetwork command (also when done through setupNetworks command), when using bridged=false, the aforementioned parameters aren't set on the ifcfg file which represents the network being added.


Version-Release number of selected component (if applicable):


How reproducible:
Always.


Steps to Reproduce:
1. Call addNetwork with bridged=fale and either bootproto=dhcp or ipaddr & netmask set
2. Look at the NIC's ifcfg file
3.
  
Actual results:
The ifcfg file of the NIC doesn't contain the bootproto info.


Expected results:
The ifcfg file should contain the values that were passed.


Additional info:
Please see discussion which discovered the bug on users mailing list: http://lists.ovirt.org/pipermail/users/2012-June/002541.html
Comment 1 Trey Dockendorf 2012-06-22 17:44:18 EDT
Attached are log snippets captured while attempting to create a non-VM network via the oVirt management interface.

Steps taken:
1. Open "Setup Host Networks"
2. Drag logical network "stor0" to physical interface "eth2"
3. Edit "eth2" assigning the following
     * Boot Protocol: Static
     * IP : 10.20.1.240
     * Subnet Mask: 255.0.0.0
4. Save changes by clicking "OK".

This is the resulting ifcfg-eth2

DEVICE=eth2
ONBOOT=yes
BOOTPROTO=none
HWADDR=00:1b:21:1d:33:f0
NM_CONTROLLED=no
MTU=9000

The only ovirt defined value assigned is the "MTU"
Comment 2 Trey Dockendorf 2012-06-22 17:50:53 EDT
Created attachment 593832 [details]
vdsm.log

Snapshot of logs when setting non-VM Network in oVirt
Comment 3 Trey Dockendorf 2012-06-22 17:53:02 EDT
Created attachment 593833 [details]
engine.log

Snapshot of engine.log during attempt to configure non-VM Network for host.
Comment 9 Avi Tal 2012-07-19 04:49:41 EDT
well this is a blocker indeed but not a test blocker.
I have tested it with bridged and looks like it is working:

note: sw1 is bridged and novm is bridgeless on eth2

# brctl show
bridge name     bridge id               STP enabled     interfaces
rhevm           8000.001517a76a4c       no              eth0
sw1             8000.001517a76a4d       no              eth1
# virsh -r net-list
Name                 State      Autostart
-----------------------------------------
vdsm-novm            active     yes       
vdsm-rhevm           active     yes       
vdsm-sw1             active     yes  

# ifconfig eth2
eth2      Link encap:Ethernet  HWaddr 00:1D:09:68:71:4E  
          inet6 addr: fe80::21d:9ff:fe68:714e/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:9000  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:6 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:492 (492.0 b)
          Interrupt:16 Memory:f8000000-f8012800 


# ifconfig sw1
sw1       Link encap:Ethernet  HWaddr 00:15:17:A7:6A:4D  
          inet addr:1.1.1.2  Bcast:1.1.1.255  Mask:255.255.255.0
          inet6 addr: fe80::215:17ff:fea7:6a4d/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:98300 errors:0 dropped:0 overruns:0 frame:0
          TX packets:12 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:5263370 (5.0 MiB)  TX bytes:720 (720.0 b)


The problem is that no error or exception is raised in vdsm in case bridged address was not configured there for backend doesn't report any issue.
only automation framework validator should report a problem when parsing the response body but this is blocked by BZ#809366
Comment 10 Igor Lvovsky 2012-07-30 12:12:58 EDT
http://gerrit.ovirt.org/#/c/6595/
Comment 11 Meni Yakove 2012-08-05 03:55:10 EDT
Verified on vdsm-4.9.6-26.0.el6_3.x86_64
Comment 14 errata-xmlrpc 2012-12-04 14:00:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.